CVE-2006-2009
CVSS7.5
发布时间 :2006-04-25 08:50:00
修订时间 :2017-07-19 21:31:06
NMCO    

[原文]PHP remote file inclusion vulnerability in agenda.php3 in phpMyAgenda 3.0 Final and earlier allows remote attackers to execute arbitrary PHP code via a URL in the rootagenda parameter.


[CNNVD]PHPMyAgenda Agenda.PHP3 远程文件包含漏洞 (CNNVD-200604-478)

        phpMyAgenda 3.0 Final及早期版本中的agenda.php3 存在PHP远程文件包含漏洞。这使得远程攻击者可以借助于rootagenda 参数中的URL执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2009
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2009
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200604-478
(官方数据源) CNNVD

- 其它链接及资源

http://downloads.securityfocus.com/vulnerabilities/exploits/phpMyAgenda_fi.txt
(UNKNOWN)  MISC  http://downloads.securityfocus.com/vulnerabilities/exploits/phpMyAgenda_fi.txt
http://securityreason.com/securityalert/787
(UNKNOWN)  SREASON  787
http://securitytracker.com/id?1015984
(UNKNOWN)  SECTRACK  1015984
http://www.securityfocus.com/archive/1/archive/1/431862/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060424 [MajorSecurity] phpMyAgenda 3.0 Final - Remote File Include Vulnerability
http://www.securityfocus.com/archive/1/archive/1/433995/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060515 tyree[at]users.sourceforge.net
http://www.securityfocus.com/bid/17670
(UNKNOWN)  BID  17670
http://www.vupen.com/english/advisories/2006/1509
(UNKNOWN)  VUPEN  ADV-2006-1509
https://exchange.xforce.ibmcloud.com/vulnerabilities/26062
(UNKNOWN)  XF  phpmyagenda-rootagenda-file-include(26062)

- 漏洞信息

PHPMyAgenda Agenda.PHP3 远程文件包含漏洞
高危 输入验证
2006-04-25 00:00:00 2006-04-26 00:00:00
远程  
        phpMyAgenda 3.0 Final及早期版本中的agenda.php3 存在PHP远程文件包含漏洞。这使得远程攻击者可以借助于rootagenda 参数中的URL执行任意PHP代码。

- 公告与补丁

        暂无数据

- 漏洞信息

24943
phpMyAgenda agenda.php3 rootagenda Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

phpMyAgenda contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to agenda.php3 not properly sanitizing user input supplied to the 'rootagenda' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2006-04-24 Unknow
2006-04-24 Unknow

- 解决方案

Upgrade to version 3.1 beta 1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站